export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type Money = {
    currencyMnemonic: string;
    value: number;
};
export declare type GiftCertificate = {
    amount?: object;
    balance?: object;
    creationDate?: any;
    description?: string;
    enabled?: boolean;
    lastModified?: any;
    maskedGiftCertificateCode?: string;
    merchantId?: string;
    message?: string;
    orderNo?: string;
    recipientEmail?: string;
    recipientName?: string;
    senderName?: string;
    status?: string;
    transactions?: Array<object>;
};
export declare type GiftCertificateSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type AccountTransaction = {
    amount: object;
    orderNo: string;
    timestamp: any;
    typeCode: string;
};
export declare type GiftCertificates = {
    offset: number;
    limit: number;
    data?: Array<object>;
    total?: number;
};
//# sourceMappingURL=GiftCertificates.types.d.ts.map