export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type Promotion = {
    id: string;
    calloutMsg?: string;
    currency?: string;
    details?: string;
    endDate?: any;
    image?: string;
    name?: string;
    startDate?: any;
};
export declare type PromotionResult = {
    count: number;
    data: Array<object>;
    total: number;
};
//# sourceMappingURL=ShopperPromotions.types.d.ts.map