export declare type PaymentTransactionUpdateRequest = {};
export declare type PaymentInstrumentUpdateRequest = {};
export declare type OrderPaymentStatusUpdateRequest = {
    status: string;
};
export declare type OrderConfirmationStatusUpdateRequest = {
    status: string;
};
export declare type ShippingAddressUpdateRequest = {
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    countryCode?: string;
    firstName?: string;
    fullName?: string;
    id?: string;
    jobTitle?: string;
    lastName?: string;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type OrderExternalStatusUpdateRequest = {
    status: string;
};
export declare type OrderShippingStatusUpdateRequest = {
    status: string;
};
export declare type OrderUpdateRequest = {};
export declare type OrderExportStatusUpdateRequest = {
    status: string;
};
export declare type OrderStatusUpdateRequest = {
    status: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
//# sourceMappingURL=Orders.types.d.ts.map