import { BaseClient, BaseClientConfig } from "@commerce-apps/core";
import { GiftCertificate } from "./ShopperGiftCertificates.types";
export { SiteId, SearchRequest, PaginatedSearchResult, SimpleSearchResult, ErrorResponse, Offset, Limit, GiftCertificate, GiftCertificateRequest, } from "./ShopperGiftCertificates.types";
declare type ClientConfig = BaseClientConfig & {
    baseUriParameters?: {
        "short-code": string;
        "version": string;
    };
};
export declare class Client extends BaseClient {
    constructor(config: ClientConfig);
    /**
    * Action to retrieve an existing gift certificate.
    */
    getGiftCertificate(options: {
        parameters?: {
            organizationId: any;
            siteId: any;
        };
        headers?: {
            [key: string]: string;
        };
        body: object;
    }): Promise<Response | GiftCertificate>;
}
export default Client;
export { ClientConfig };
//# sourceMappingURL=ShopperGiftCertificates.d.ts.map