export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type GiftCertificate = {
    amount: number;
    balance: number;
    enabled: boolean;
    maskedGiftCertificateCode: string;
    merchantId: string;
    recipientEmail: string;
    recipientName: string;
    senderName: string;
    status: string;
    description?: string;
    message?: string;
};
export declare type GiftCertificateRequest = {
    giftCertificateCode: string;
};
//# sourceMappingURL=ShopperGiftCertificates.types.d.ts.map