export declare type ClientIdParam = {};
export declare type ViewSearchBulkActivityItems = {
    siteId: string;
    activityData: object;
};
export declare type CurrencyCodeParam = {};
export declare type CookieIdParam = {};
export declare type Error = {
    code: string;
    errors: Array<object>;
    msg: string;
};
export declare type ViewSearchSuggestionBulkActivityItems = {
    siteId: string;
    activityData: object;
};
export declare type SortResponse = {
    attributes: Array<object>;
    boosting: Array<object>;
    stochasticRankingSeed: any;
    apiUUID: string;
    segMu: Array<any>;
    segSigma: Array<any>;
};
export declare type AmountParam = {};
export declare type ViewCategoryActivityData = {
    category: object;
    products: Array<object>;
    userId?: string;
    cookieId?: string;
    uuid?: string;
    clientIp?: string;
    clientUserAgent?: string;
    autoSort?: object;
};
export declare type ProductForView = {
    id: string;
    sku?: string;
    altId?: string;
    altIdType?: string;
};
export declare type ProductForCheckout = {
    id: string;
    sku: string;
    price: any;
    quantity: number;
};
export declare type UserIdParam = {};
export declare type ActvityRequestBatch = {
    activities: Array<object>;
};
export declare type SiteIdParam = {};
export declare type Recommender = {
    name: string;
    description?: string;
};
export declare type ClientIpParam = {};
export declare type SearchSuggestionsResponse = {
    popularSearches: Array<string>;
    recentSearches: Array<string>;
    suggestedSearches: Array<string>;
};
export declare type ViewSearchBulkActivity = {
    activities: Array<object>;
};
export declare type RecommendersResponse = {
    recommenders: Array<object>;
};
export declare type SortAttribute = {
    id: string;
    weight: any;
    normalization: string;
};
export declare type ViewSearchSuggestionActivityData = {
    searchText: string;
    suggestions: Array<string>;
    userId?: string;
    cookieId?: string;
    uuid?: string;
    clientIp?: string;
    clientUserAgent?: string;
};
export declare type ActivityResponse = {
    uuid: string;
};
export declare type ActivityResponseBatch = {
    responses: Array<object>;
};
export declare type ViewCategoryBulkActivityItems = {
    siteId: string;
    activityData: object;
};
export declare type CategoryParam = {
    id: string;
};
export declare type ViewSearchActivityData = {
    searchText: string;
    products: Array<object>;
    userId?: string;
    cookieId?: string;
    uuid?: string;
    clientIp?: string;
    clientUserAgent?: string;
    autoSort?: object;
    accountId?: string;
};
export declare type OrderIdParam = {};
export declare type ViewSearchSuggestionBulkActivity = {
    activities: Array<object>;
};
export declare type AutoSortActivityData = {
    apiUUID: string;
    productRange: object;
    finalScores: object;
    rawScores: object;
};
export declare type UuidParam = {};
export declare type ViewCategoryBulkActivity = {
    activities: Array<object>;
};
export declare type ClientUserAgentParam = {};
export declare type RecommendationsResponse = {
    recs: Array<object>;
    displayMessage?: string;
};
export declare type AccountIdParam = {};
export declare type ActivityResponseBulk = {
    responses: Array<object>;
};
//# sourceMappingURL=BetaFeatureEinsteinRecommendationsApi.types.d.ts.map